QuantLib: BlackIborCouponPricer Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BlackIborCouponPricer Class Reference

Black-formula pricer for capped/floored Ibor coupons. More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for BlackIborCouponPricer:
[legend]

## Public Member Functions
| BlackIborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
virtual void | initialize (const FloatingRateCoupon &coupon)
Real | swapletPrice () const
Rate | swapletRate () const
Real | capletPrice (Rate effectiveCap) const
Rate | capletRate (Rate effectiveCap) const
Real | floorletPrice (Rate effectiveFloor) const
Rate | floorletRate (Rate effectiveFloor) const
Public Member Functions inherited from IborCouponPricer
| IborCouponPricer (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
Handle< OptionletVolatilityStructure > | capletVolatility () const
void | setCapletVolatility (const Handle< OptionletVolatilityStructure > &v=Handle< OptionletVolatilityStructure >())
Public Member Functions inherited from FloatingRateCouponPricer
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions
Real | optionletPrice (Option::Type optionType, Real effStrike) const
virtual Rate | adjustedFixing (Rate fixing=Null< Rate >()) const

## Protected Attributes
Real | gearing_
Spread | spread_
Time | accrualPeriod_
boost::shared_ptr< IborIndex > | index_
Real | discount_
Real | spreadLegValue_
const FloatingRateCoupon * | coupon_

## Detailed Description

Black-formula pricer for capped/floored Ibor coupons.

Examples:
  Bonds.cpp.